---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libHiddenClassSigTest.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x24790, symBinAddr: 0x4060, symSize: 0x0 }
  - { offsetInCU: 0x8CB2, offset: 0x8CB2, size: 0x8, addend: 0x0, symName: __ZL6failed, symObjAddr: 0x24798, symBinAddr: 0x4068, symSize: 0x0 }
  - { offsetInCU: 0x8CD9, offset: 0x8CD9, size: 0x8, addend: 0x0, symName: __ZL9event_mon, symObjAddr: 0x247A0, symBinAddr: 0x4070, symSize: 0x0 }
  - { offsetInCU: 0x8CF2, offset: 0x8CF2, size: 0x8, addend: 0x0, symName: __ZL10is_vm_dead, symObjAddr: 0x247B0, symBinAddr: 0x4080, symSize: 0x0 }
  - { offsetInCU: 0x8D24, offset: 0x8D24, size: 0x8, addend: 0x0, symName: __ZL16class_load_count, symObjAddr: 0x247A8, symBinAddr: 0x4078, symSize: 0x0 }
  - { offsetInCU: 0x8D3D, offset: 0x8D3D, size: 0x8, addend: 0x0, symName: __ZL16class_prep_count, symObjAddr: 0x247AC, symBinAddr: 0x407C, symSize: 0x0 }
  - { offsetInCU: 0x8DCE, offset: 0x8DCE, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x970, symSize: 0x30 }
  - { offsetInCU: 0x9075, offset: 0x9075, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xE10, symBinAddr: 0x9A0, symSize: 0x190 }
  - { offsetInCU: 0x926B, offset: 0x926B, size: 0x8, addend: 0x0, symName: __ZL9ClassLoadP9_jvmtiEnvP7JNIEnv_P8_jobjectP7_jclass, symObjAddr: 0xFA0, symBinAddr: 0xB30, symSize: 0x20 }
  - { offsetInCU: 0x92E1, offset: 0x92E1, size: 0x8, addend: 0x0, symName: __ZL19process_class_eventP9_jvmtiEnvP7JNIEnv_P7_jclassPiPKc, symObjAddr: 0x18D0, symBinAddr: 0x1460, symSize: 0x2D0 }
  - { offsetInCU: 0x97EE, offset: 0x97EE, size: 0x8, addend: 0x0, symName: __ZL12ClassPrepareP9_jvmtiEnvP7JNIEnv_P8_jobjectP7_jclass, symObjAddr: 0xFC0, symBinAddr: 0xB50, symSize: 0x20 }
  - { offsetInCU: 0x9864, offset: 0x9864, size: 0x8, addend: 0x0, symName: __ZL6VMInitP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xFE0, symBinAddr: 0xB70, symSize: 0xC0 }
  - { offsetInCU: 0x9B21, offset: 0x9B21, size: 0x8, addend: 0x0, symName: __ZL7VMDeathP9_jvmtiEnvP7JNIEnv_, symObjAddr: 0x10A0, symBinAddr: 0xC30, symSize: 0xF0 }
  - { offsetInCU: 0xA1A5, offset: 0xA1A5, size: 0x8, addend: 0x0, symName: _Java_P_Q_HiddenClassSigTest_checkHiddenClass, symObjAddr: 0x1190, symBinAddr: 0xD20, symSize: 0x5E0 }
  - { offsetInCU: 0xAA22, offset: 0xAA22, size: 0x8, addend: 0x0, symName: __ZL21check_class_signatureP9_jvmtiEnvP7JNIEnv_P7_jclassbPKc, symObjAddr: 0x1CD0, symBinAddr: 0x1860, symSize: 0x122 }
  - { offsetInCU: 0xAB95, offset: 0xAB95, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_17CallBooleanMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x1C10, symBinAddr: 0x17A0, symSize: 0xB0 }
  - { offsetInCU: 0xAC50, offset: 0xAC50, size: 0x8, addend: 0x0, symName: _Java_P_Q_HiddenClassSigTest_checkHiddenClassArray, symObjAddr: 0x1770, symBinAddr: 0x1300, symSize: 0xE0 }
  - { offsetInCU: 0xAE06, offset: 0xAE06, size: 0x8, addend: 0x0, symName: _Java_P_Q_HiddenClassSigTest_checkFailed, symObjAddr: 0x1850, symBinAddr: 0x13E0, symSize: 0x80 }
  - { offsetInCU: 0xAE5B, offset: 0xAE5B, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1BA0, symBinAddr: 0x1730, symSize: 0x70 }
...
